# EmDeploy

Use AWS S3 and Redis to deploy your ember-cli application. <a href="http://youtu.be/QZVYP3cPcWQ" target="_blank">Learn more...</a>

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'em-deploy'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install em-deploy

## Usage

To deploy your ember-cli application:

```bash
cd /path/to/application;
em-deploy -e #{environment};
```

`em-deploy` requires a configuration file in the root of your ember-cli project containing the following parameters in the example below.

```js
{
    "production": {
        "prefix": "path/to/assets",
        "aws": {
            "region": "us-east-1",
            "bucket": "s3-bucket-name",
            "access_key_id": "key",
            "secret_access_key": "secret"
        },
        "redis": {
            "host": "127.0.0.1",
            "port": 6379
        }
    }
}
```

## Contributing

1. Fork it ( https://github.com/[my-github-username]/ember_deploy/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request